set fso = createobject("Scripting.FileSystemObject")
set ws = createobject("WScript.Shell")
mydocpath = "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Personal"
annopath = ws.regread(mydocpath) & "\Anno 1404\Savegames"
set fso_folder = fso.getfolder(annopath)

do while true
	for each fso_filestring in fso_folder.files
		set file = fso.getfile(fso_filestring)
		minsize = 1048576
		fsize = file.size

		if fsize < minsize then
			wscript.echo "Corrupt savegame detected / Fehlerhafter Spielstand entdeckt." & vbnewline & "Name: " & fso_filestring & vbnewline & "Size / Groesse: " & cint(fsize / 1024)  & " kbytes."
		end if
	next
	wscript.sleep 600000
loop
